# class Memory

#### package openfl

Available on all platforms

### Static methods

###

`staticinline getByte (addr:Int):Int`

###

`staticinline getDouble (addr:Int):Float`

###

`staticinline getFloat (addr:Int):Float`

###

`staticinline getI32 (addr:Int):Int`

###

`staticinline getUI16 (addr:Int):Int`

###

`staticinline select (b:ByteArray):Void`

###

`staticinline setByte (addr:Int, v:Int):Void`

###

`staticinline setDouble (addr:Int, v:Float):Void`

###

`staticinline setFloat (addr:Int, v:Float):Void`

###

`staticinline setI16 (addr:Int, v:Int):Void`

###

`staticinline setI32 (addr:Int, v:Int):Void`

###

`staticinline signExtend1 (v:Int):Int`

###

`staticinline signExtend16 (v:Int):Int`

###

`staticinline signExtend8 (v:Int):Int`